Package com.ocient.jdbc.proto

## Interface PlanProtocol.ReferenceOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ReferenceOperator`, `PlanProtocol.ReferenceOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ReferenceOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getColTypes​(int index)` The only thing we track here is the string version of all the types
`com.google.protobuf.ByteString` `getColTypesBytes​(int index)` The only thing we track here is the string version of all the types
`int` `getColTypesCount()` The only thing we track here is the string version of all the types
`List<String>` `getColTypesList()` The only thing we track here is the string version of all the types
`int` `getParentIndex()` `uint32 parent_index = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getColTypesList

    List<String> getColTypesList()

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1;`

Returns:
  A list containing the colTypes.

#### getColTypesCount

    int getColTypesCount()

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1;`

Returns:
  The count of colTypes.

#### getColTypes

    String getColTypes​(int index)

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The colTypes at the given index.

#### getColTypesBytes

    com.google.protobuf.ByteString getColTypesBytes​(int index)

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colTypes at the given index.

#### getParentIndex

    int getParentIndex()

`uint32 parent_index = 2;`

Returns:
  The parentIndex.